/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package SchedulesRecovery;

import AbsenceSchedules.AbsenceSchedulesArray;
import InitialSchedules.ParametersInitialSchedules;
import ScheduleUtil.*;

/**
 *
 * @author frabe
 */
public class RecoveringActionFullTimeEmployee extends RecoveringAction{
    
    public RecoveringActionFullTimeEmployee( int employee, int workPeriod){
        super(employee, workPeriod);
    }
         
    public void calculateRecoveringActionCost (boolean[][] currentEmployeesSchedule, AbsenceSchedulesArray absenceSchedulesArray, ParametersInitialSchedules myScheduleParameters) {
        int costBeforeAction = EmployeeCostCalculator.getFullTimeEmployeeCost(currentEmployeesSchedule, absenceSchedulesArray, this.employee, myScheduleParameters);
        currentEmployeesSchedule[this.employee][this.workPeriod] = true;
        int costAfterAction = EmployeeCostCalculator.getFullTimeEmployeeCost(currentEmployeesSchedule, absenceSchedulesArray, this.employee, myScheduleParameters);
        currentEmployeesSchedule[this.employee][this.workPeriod] = false;
        this.recoveringActionCost = costAfterAction-costBeforeAction;
    }    
}
